{
  inputs,
  lib,
  config,
  pkgs,
  myhostname,
  ...
}:
{

  programs.nh = {
    enable = true;
    clean.enable = true;
    clean.extraArgs = "--keep-since 4d --keep 3";
    flake = "/home/fw/nix";
  };

  environment.systemPackages = with pkgs; [
    bluez
    bluez-tools

    poppler-utils

    alsa-utils

	sops
    libnotify
    unzip
    zip
    wget
    htop
    procps
    grc
    vim
    fastfetch
	bc

    # sysstat
    # lm_sensors
    # ethtool
    # pciutils
    # usbutils

    fzf
    eza
    rsync
    ripgrep
    fd

    lolcat
    fortune
    cowsay

    lazygit
	hyprpicker	
    typst
    typstyle
    tinymist
    # (
    #   let
    #     base = pkgs.appimageTools.defaultFhsEnvArgs;
    #   in
    #   pkgs.buildFHSEnv (
    #     base
    #     // {
    #       name = "fhs";
    #       targetPkgs =
    #         pkgs:
    #         # pkgs.buildFHSUserEnv provides only a minimal FHS environment,
    #         # lacking many basic packages needed by most software.
    #         # Therefore, we need to add them manually.
    #         #
    #         # pkgs.appimageTools provides basic packages required by most software.
    #         (base.targetPkgs pkgs)
    #         ++ (with pkgs; [
    #           pkg-config
    #           ncurses
    #           # Feel free to add more packages here if needed.
    #         ]);
    #       profile = "export FHS=1";
    #       runScript = "bash";
    #       extraOutputsToInstall = [ "dev" ];
    #     }
    #   )
    # )
  ];
}
